Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface NameServicesDef

Deprecated. Deprecated in WebLogic Server 6.1.

public interface NameServicesDef

The NameServicesDef interface defines name services for the WebLogic Server.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
See Also:
  `TengahInitialContextFactory`

Method Summary
`javax.naming.Context` | `getInitialContext()` Deprecated. Deprecated in WebLogic Server 6.1.
`javax.naming.Context` | `getInitialContext(java.util.Hashtable properties)` Deprecated. Deprecated in WebLogic Server 6.1.

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext()
                                           throws javax.naming.NamingException

  Deprecated. Deprecated in WebLogic Server 6.1.
  Returns the initial naming context.

  Returns:
    Context of a naming system
  Throws:
    javax.naming.NamingException - if there is an error

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable properties)
                                           throws javax.naming.NamingException

  Deprecated. Deprecated in WebLogic Server 6.1.
  Returns the initial naming context.

  Parameters:
    `properties` - Hashtable containing initial properties.
    Usage example:

    >      properties.put(Context.SECURITY_PRINCIPAL,"system");
    >      properties.put(Context.SECURITY_CREDENTIALS,"gumby1234");
    >      javax.naming.Context.getInitialContext(properties);

  Returns:
    Context of a naming system
  Throws:
    javax.naming.NamingException - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference